%define major 9
%define name libfwbuilder
%define libname %mklibname fwbuilder %{major}
%define develname %mklibname -d fwbuilder
%define version 4.1.2
%define release %mkrel 1

Name: %{name}
Summary: Firewall Builder API
Url: http://www.fwbuilder.org/
Version: %{version}
Release: %{release}
License: GPLv2+
Group:  System/Libraries
Source: http://downloads.sourceforge.net/fwbuilder/%name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bind-devel
BuildRequires:	qt4-devel
BuildRequires:	libxslt-devel
BuildRequires:	net-snmp-devel
BuildRequires:	ccache

%description
Firewall Builder API Library

%package -n %name-data
Summary: Fixed data for fwbuilder
Group: System/Libraries
Requires: %{libname} = %version

%description -n %name-data
Fised data for libfwbuilder.
The Firewall Builder API Library

%package -n %{libname}
Summary: Firewall Builder API
Group:  System/Libraries
Requires: %name-data = %version
Provides: %name = %version-%release
Obsoletes: %{_lib}fwbuilder6 = 2.1.5

%description -n %{libname}
Firewall Builder API Library

%package -n %{develname}
Summary:   Firewall Builder API Libraries and Header Files
Group:     Development/Other
Requires:  %{libname} = %{version}
Obsoletes: fwbuilder-devel
Provides:  fwbuilder-devel
Provides:  libfwbuilder-devel = %{version}-%{release}
Obsoletes: %mklibname -d fwbuilder 7
Obsoletes: %mklibname -d fwbuilder 6

%description -n %{develname}
This package contains the libraries  and header files that programmer would
need to develop applications using Firewall Builder API.

%prep 
%setup -q -n libfwbuilder-%{version}

%build
./autogen.sh
%configure2_5x --with-templatedir=%{_datadir}/%{name}
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make INSTALL_ROOT="${RPM_BUILD_ROOT}/" install

rm -fr $RPM_BUILD_ROOT/%_datadir/doc/*

# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/libfwbuilder-config-4

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -n %name-data
%defattr(-,root,root)
%{_datadir}/%{name}
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/README

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files  -n %{develname}
%defattr(-, root, root)
%{_bindir}/libfwbuilder-config-4
%multiarch %{multiarch_bindir}/libfwbuilder-config-4
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Sat Oct 09 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 4.1.2-1mdv2010.0
+ Revision: 584300
- 4.1.2

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 4.1.1-1mdv2011.0
+ Revision: 571575
- update to new version 4.1.1

* Wed Aug 11 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 4.1.0-1mdv2011.0
+ Revision: 568901
- 4.1.0

* Fri Jun 18 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 4.0.2-1mdv2011.0
+ Revision: 548292
- New 4.0.2

* Wed May 05 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 4.0.0-2mdv2010.1
+ Revision: 542250
- 4.0 final

* Thu Mar 11 2010 Funda Wang <fwang@mandriva.org> 4.0.0-1mdv2010.1
+ Revision: 517895
- New version 4.0.0

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.7-1mdv2010.0
+ Revision: 444877
- update to new version 3.0.7

* Thu Aug 20 2009 Funda Wang <fwang@mandriva.org> 3.0.6-1mdv2010.0
+ Revision: 418590
- New version 3.0.6

* Thu Jun 18 2009 Funda Wang <fwang@mandriva.org> 3.0.5-1mdv2010.0
+ Revision: 386899
- New version 3.0.5

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 3.0.4-1mdv2010.0
+ Revision: 370464
- New version 3.0.4

* Tue Dec 09 2008 Funda Wang <fwang@mandriva.org> 3.0.3-1mdv2009.1
+ Revision: 312168
- new version 3.0.3

* Tue Nov 25 2008 Funda Wang <fwang@mandriva.org> 3.0.2-1mdv2009.1
+ Revision: 306581
- drop unused BR
- new version 3.0.2

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 292007
- New version 3.0.1

* Wed Sep 03 2008 Funda Wang <fwang@mandriva.org> 3.0.0-1mdv2009.0
+ Revision: 279412
- 3.0.0 final

* Mon Sep 01 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.511.1mdv2009.0
+ Revision: 278178
- New beta 511

* Mon Sep 01 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.509.1mdv2009.0
+ Revision: 278066
- New beta 509

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.504.1mdv2009.0
+ Revision: 277727
- New beta 504

* Sat Aug 30 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.496.1mdv2009.0
+ Revision: 277553
- New beta 496

* Thu Aug 28 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.492.1mdv2009.0
+ Revision: 276842
- new beta 492

* Wed Aug 27 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.486.1mdv2009.0
+ Revision: 276451
- new beta 486

* Thu Aug 21 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.480.1mdv2009.0
+ Revision: 274516
- new beta 480

* Tue Aug 19 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.478.1mdv2009.0
+ Revision: 273989
- new beta 478

* Mon Aug 18 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.474.1mdv2009.0
+ Revision: 273174
- New beta 474

* Sun Aug 17 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.471.1mdv2009.0
+ Revision: 273117
- New beta 471

* Thu Aug 14 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.468.1mdv2009.0
+ Revision: 272107
- new beta 468

* Wed Aug 13 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.465.1mdv2009.0
+ Revision: 271313
- new beta 465

* Tue Aug 12 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.461.1mdv2009.0
+ Revision: 271132
- new beta 461

* Mon Aug 11 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.458.1mdv2009.0
+ Revision: 270670
- New beta 458

* Wed Aug 06 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.456.1mdv2009.0
+ Revision: 264545
- New beta 456

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.452.1mdv2009.0
+ Revision: 263978
- New beta 452

* Mon Aug 04 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.449.1mdv2009.0
+ Revision: 262822
- New beta 449

* Sun Aug 03 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.445.1mdv2009.0
+ Revision: 262188
- New beta 445

* Sun Aug 03 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.442.1mdv2009.0
+ Revision: 261779
- New snapshot 442

* Thu Jul 31 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.429.1mdv2009.0
+ Revision: 257464
- new snapshot 429

* Wed Jul 30 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.427.1mdv2009.0
+ Revision: 254500
- New snapshot 427

* Mon Jul 28 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.421.1mdv2009.0
+ Revision: 250806
- New snapshot 421

* Fri Jul 25 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.413.1mdv2009.0
+ Revision: 248715
- New svn 413

* Tue Jul 22 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.406.1mdv2009.0
+ Revision: 239939
- New snapshot 406
- drop libdir patch, not needed

* Mon Jul 21 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.404.1mdv2009.0
+ Revision: 239539
- New snapshot r404
- gcc 4.3 patch merged upstream
- add patch always install libs into correct dir
- new snapshot rev 403
- update gcc 4.3 patch

* Mon Jul 21 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.393.1mdv2009.0
+ Revision: 239265
- New version 3.0.0 beta rev 393
- add gcc 4.3 patch

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 20 2008 Funda Wang <fwang@mandriva.org> 2.1.19-1mdv2009.0
+ Revision: 209553
- update to new version 2.1.19

* Sat May 17 2008 Funda Wang <fwang@mandriva.org> 2.1.18-1mdv2009.0
+ Revision: 208301
- New version 2.1.18

* Sat Feb 02 2008 Funda Wang <fwang@mandriva.org> 2.1.16-1mdv2008.1
+ Revision: 161440
- New version 2.1.16

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.13-2mdv2008.0
+ Revision: 60250
- add the actual patch as well...
- added P0 from gentoo to make it build with gcc42
- rebuilt against new net-snmp libs

  + Funda Wang <fwang@mandriva.org>
    - New version 2.1.13

* Wed May 02 2007 Lenny Cartier <lenny@mandriva.org> 2.1.11-1mdv2008.0
+ Revision: 20668
- Update to 2.1.11


* Tue Mar 06 2007 Stefan van der Eijk <stefan@mandriva.org> 2.1.10-1mdv2007.0
+ Revision: 133662
- 2.1.10

* Wed Feb 14 2007 Lenny Cartier <lenny@mandriva.com> 2.1.9-1mdv2007.1
+ Revision: 120746
- Update to 2.1.9

* Sat Dec 09 2006 Stefan van der Eijk <stefan@mandriva.org> 2.1.8-1mdv2007.1
+ Revision: 94061
- 2.1.8

* Thu Nov 02 2006 Stefan van der Eijk <stefan@mandriva.org> 2.1.7-1mdv2007.1
+ Revision: 75990
- 2.1.7

* Fri Sep 01 2006 Olivier Thauvin <nanardon@mandriva.org> 2.1.5-3mdv2007.0
+ Revision: 59229
- fix obsolete, usefull on cooker

* Fri Sep 01 2006 Olivier Thauvin <nanardon@mandriva.org> 2.1.5-2mdv2007.0
+ Revision: 59077
- fix major number

* Thu Aug 31 2006 Olivier Thauvin <nanardon@mandriva.org> 2.1.5-1mdv2007.0
+ Revision: 58910
- 2.1.5
- 2.1.5

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org> 2.0.12-2mdv2007.0
+ Revision: 55000
- rebuild
- Import libfwbuilder

* Wed Apr 19 2006 Lenny Cartier <lenny@mandriva.com> 2.0.12-1mdk
- 2.0.12

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-4mdk
- rebuilt against new net-snmp with new major (10)
- fix build on x86_64

* Thu Dec 22 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.10-3mdk
- remove obsolete Requires: ucd-snmp >= 4.2
- BuildRequires: net-snmp-devel
- BuildRequires: openssl-devel

* Wed Dec 21 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-2mdk
- rebuilt against net-snmp that has new major (9)

* Thu Nov 17 2005 Lenny Cartier <lenny@mandriva.com> 2.0.10-1mdk
- 2.0.10

* Mon Sep 26 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-2mdk
- multiarch police?

* Mon Sep 26 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-1mdk
- 2.0.9
- %%mkrel

* Thu May 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.7-2mdk
- Fix build on amd64

* Thu May 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.7-1mdk
- New release 2.0.7

* Thu Feb 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-1mdk
- 2.0.6

* Wed Jan 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.5-1mdk
- 2.0.5

* Fri Dec 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-1mdk
- 2.0.4

* Tue Oct 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.3-1mdk
- 2.0.3

* Fri Sep 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2

* Sat Aug 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1

* Wed Jun 16 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.2-2mdk
- rebuild

